Source: libnamespace-autoclean-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Salvatore Bonaccorso <carnil@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
# don't build-depend on libmoosex-role-withoverloading-perl
# and libmoosex-markasmethods-perl to avoid a loop
Build-Depends-Indep: libb-hooks-endofscope-perl <!nocheck>,
                     libmoo-perl <!nocheck>,
                     libmoose-perl <!nocheck>,
                     libmouse-perl <!nocheck>,
                     libnamespace-clean-perl <!nocheck>,
                     libscalar-list-utils-perl <!nocheck>,
                     libtest-needs-perl <!nocheck>,
                     libtest-simple-perl <!nocheck>,
                     perl
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libnamespace-autoclean-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libnamespace-autoclean-perl.git
Homepage: https://metacpan.org/release/namespace-autoclean
Rules-Requires-Root: no

Package: libnamespace-autoclean-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libb-hooks-endofscope-perl,
         libnamespace-clean-perl,
         libscalar-list-utils-perl
Description: module to remove imported symbols after compilation
 namespace::autoclean is a Perl pragma that keeps your namespace clean by
 removing all imported symbols at the end of the current package's compile
 cycle. Perhaps most importantly, this means that imported functions will no
 longer be made accidentally accessible to users outside of your package via
 method invocations.
 .
 This module differs from namespace::clean (see libnamespace-clean-perl) in
 that it cleans all imported functions, whether or not the imports happened
 prior to using the pragma. Things that "look" like a method (according to
 Class::MOP) will be left alone.
